添加出库单
POST
/erp/sc/routing/storage/storage/orderAddOut支持添加本地仓库出库单,推送成功后扣减出库仓库库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/storage/orderAddOut | HTTPS | POST | 1 |
请求参数
widstringsys_widinteger必填typeinteger必填statusintegersys_supplier_idintegersupplier_idstringidempotent_codestringremarkstringreturn_pricenumberother_feenumbersys_to_widintegerto_widstringoutbound_timestringbin_typeintegerproduct_listarray<object>必填隐藏子属性
skustring必填good_numinteger必填bad_numinteger必填seller_idinteger必填fnskustring必填out_available_binarray<object>隐藏子属性
whb_codestringwhb_numintegerout_inferior_binarray<object>隐藏子属性
whb_codestringwhb_numinteger请求示例
{
"wid": "custom-A1",
"sys_wid": 1,
"type": 11,
"sys_supplier_id": 321,
"supplier_id": "AVS2132",
"idempotent_code":"R0011231",
"remark": "",
"return_price": 6.66,
"other_fee": 8.88,
"sys_to_wid": 56,
"to_wid": "WA323",
"outbound_time": "2022-12-30",
"bin_type": 1,
"product_list": [{
"sku": "kk-1232",
"good_num": 3,
"bad_num": 1,
"seller_id": 249,
"fnsku": "FN4658CDA",
"out_available_bin": [{
"whb_code": "ts_valid",
"whb_num": 1
}],
"out_inferior_bin": [{
"whb_code": "ts_bad",
"whb_num": 1
}]
}]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填